Subject: Re: [bug#52729] [PATCH v2] gnu: ocaml: Update to 4.13.

From: Julien Lepiller <[email-masked]>
Date: Sun, 9 Jan 2022 10:55:13 +0100

Le Sat, 08 Jan 2022 20:45:45 +0000,
pukkamustard <[email-masked]> a écrit :

> Hi Julien,
> 
> > gnu: ocaml-ppx-tools-versioned: Only build ocaml-4.07 variant.  
> 
> Any reason for not using the package-with-ocaml4.07 transformation?

No reason at all, thanks for noticing.

> 
> > gnu: ocaml: Update to 4.13.  
> 
> js-of-ocaml and ocaml-dot-merlin-reader are also updated in this
> commit. Could they be split to separate commits?

Unfortunately I cannot update these packages independently without
something breaking.

> 
> Other than that everything seems to be compiling and working
> fine. Thank you very much!
> 

Thanks for the review, pushed to master as
92c63bc491a4f3098e94e7e58ec83b89f771c13c to
3e8e6ebf000b1cbc4ff4b9ba84c7abdcbdf0ffb4

> -pukkamustard
> 
> 
> Julien Lepiller <[email-masked]> writes:
> 
> > Le Wed, 22 Dec 2021 14:51:49 +0100,
> > zimoun <[email-masked]> a écrit :
> >  
> >> Hi,
> >> 
> >> On Wed, 22 Dec 2021 at 14:43, Julien Lepiller <[email-masked]>
> >> wrote:
> >>   
> >> > >On a side note, have you tried to replace boot/ocamlc (and
> >> > >friends) with the bootstrapped ones (camlboot -> ocaml-4.07 ->
> >> > >*).
> >> > > Other said, what is the most affordable path to exploit
> >> > > camlboot and have a good
> >> > >bootstrapping story for OCaml.    
> >> >
> >> > Currently we can only use camlboot to bootstrap ocaml 4.07, which
> >> > is what we do. We plan to improve it so it can build newer
> >> > versions though.    
> >> 
> >> Yes, I remember when discussing the patch adding camlboot and
> >> ocaml4.07-boot. :-)  That's what you explained [1].
> >> 
> >> Well, a direct bootstrap camlboot -> ocaml-4.13 is better for sure,
> >> but harder.  Instead, my question is: have you tried a chain of
> >> boostrap: camlboot -> ocaml-4.07 -> ? -> ocaml-4.13.  I could be
> >> temporary solution waiting camlboot improvements, no?
> >> 
> >> 1: <https://issues.guix.gnu.org/46806#11>
> >> 
> >> 
> >> Cheers,
> >> simon  
> >
> > Here's v2 of the patch series: the first two patches build only the
> > 4.07 version for migrate-parsetree@1 and for ppx-tools-versioned.
> > That way, they don't fail when updating to ocaml 4.13. I checked
> > that everything builds like before. I still have issues with bap
> > because [email-masked] fails.
> >
> > [2. text/x-patch;
> > 0001-gnu-ocaml-ppx-tools-versioned-Only-build-ocaml-4.07-.patch]...
> >
> > [3. text/x-patch;
> > 0002-gnu-ocaml-migrate-parstree-1-Only-build-ocaml4.07-va.patch]...
> >
> > [4. text/x-patch; 0003-gnu-ocaml-Update-to-4.13.patch]...  
>